<?php
/**
 * Validacion de usuarios: configuracion personalizable por el usuario
 * Hace uso del PEAR::Auth
 *
 * @package gvHIDRA
 */

include_once 'gvhBaseAuth.php';

class AuthArray extends gvhBaseAuth
{
	static $options = array( 
		'cryptType'=>'md5',
		'users'=>array(
			'usu1'=>'529113007b15005637b3dad6d9ba2f10',  //md5(usu1)
			'usu2'=>'9c60c45d8440e2ece3442fed8fe4c5c2',  //md5(usu2)
	));

    /**
     * Inicializa variables en la sesin que recibe.
     * Se ejecuta la primera vez que accede a la aplicacin
     */
    function postLogin($sess, $auth=null)
    {
    	$sess['usuario']['nombre']='Usuario Invitado con Array';
		$sess['rolusuar'] = 'perfil_por_definir';
		$sess['modulos'] = array();
		$sess['daplicacion'] = 'Aplicacin de ejemplo con gvHIDRA';
    	return $sess;
    }

	/**
	 * Metodo para llamar desde aplicaciones, en la autenticacion inicial
	 * 
	 * Devuelve cadena vacia si todo va bien, o texto si error
	 */
	static function autenticate($p_apli)
	{
		$auth_container = new self($p_apli);

		IgepSession::session_start($p_apli, false);
		$aut = new Auth('Array',self::$options,'milogin');
		$aut->setSessionName($p_apli);
		if (isset($_GET['logout']))
			$aut->logout();
		$aut->start();
		
		if ($aut->checkAuth()) {
			$auth_container->open('igep/include/valida/validacionArray.php');
		}
		return '';
	}

}

function milogin($username, $status, $auth) {
	echo <<<cadena
<html>
<head>
<title>Formulario de acceso</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>

<table width="97%" border="0" cellspacing="0" cellpadding="0">
<tbody>
  <tr align="center"> 
   <td>
        <form method="post" action="" AUTOCOMPLETE="OFF">
        <table class="validacion">
          <tr> 
            <td align="left" colspan="2"><b>Introduce tus datos</b></td>
          </tr>
          <tr>
               <td align="left">Usuario:</td>
               <td><input type="text" name="username" class="caja_texto"></td>
          </tr>
          <tr>
                <td align="left">Password: </td>
                <td><input type="password" name="password" class="caja_texto"></td>
          </tr>
          <tr>
                <td align="right" colspan="2"><br /><input type="submit" class="boton" onmouseover="this.className='boton_on';" onmouseout="this.className='boton';" value="Aceptar"></td>
          </tr>
        </table>
    </form>
   </td>
  </tr>
</tbody>
</table>

</body>
</html>
cadena;
}
?>
