<?php
/**
 * Validacion de usuarios: configuracion personalizable por el usuario
 * Hace uso del PEAR::Auth
 *
 * @package gvHIDRA
 */

include_once 'gvhBaseAuth.php';

class AuthBasic extends gvhBaseAuth
{

    function __construct()
    {
		parent::__construct();
		$this->datos=array(
			'bd'=>'bd-usuario',	// servidor bd
			'server'=>'http',		// servidor web
		);
    }


    function fetchData($username, $password)
    {
        // Check If valid etc
        if($username=='invitado' and md5('salto-pre'.$password.'salto-post')=='19fda1814a6fc1c51c6ceb14ea92fba7') {
            // Perform Some Actions
            return true;
        }
        return false;
    }
    
    function getDatos()
    {
    	return $this->datos;
    }
    
    /**
     * Inicializa variables en la sesin que recibe.
     * Se ejecuta la primera vez que accede a la aplicacin
     */
    function postLogin($sess)
    {
    	$sess['usuario']['nombre']='Usuario Invitado';
		$sess['rolusuar'] = 'perfil_por_definir';
		$sess['modulos'] = array();
		$sess['daplicacion'] = 'Aplicacin de ejemplo con gvHIDRA';
    	return $sess;
    }

	/**
	 * Metodo para llamar desde aplicaciones, en la autenticacion inicial
	 * 
	 * Devuelve cadena vacia si todo va bien, o texto si error
	 */
	static function autenticate($p_apli)
	{
		$auth_container = new self($p_apli);

		IgepSession::session_start($p_apli, false);
		$aut = new Auth($auth_container);
		$aut->setSessionName($p_apli);
		if (isset($_GET['logout']))
			$aut->logout();
		if (isset($_POST['user_crypt'])) {
			$private_key = file_get_contents('apl.key');
			$user_crypt = base64_decode($_POST['user_crypt']);
			if (!openssl_private_decrypt($user_crypt, $decrypted, $private_key))
				return 'Error en parmetros de autenticacin';
			$tokens = explode('::', $decrypted);
			if ($tokens[1] + 300 < time())
				return 'Error en parmetros de autenticacin por caducidad del token';
			// falta comprobar si usuario es valido
			$aut->setAuth($tokens[0]);
		}
		$aut->start();
		
		if ($aut->checkAuth()) {
			$auth_container->open('igep/include/valida/validacion.php');
		}
		return '';
	}

}

?>
